Skip to main content
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
authorizations
List Account Authorizations
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
  --header 'Authorization: Bearer <token>'
[
  {
    "grant_kind": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subject_id": "<string>",
    "subject_type": "<string>",
    "capability_key": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_type": "<string>",
    "revoked_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Path Parameters

account_id
string<uuid>
required

Query Parameters

subject_type
enum<string> | null

Authorization subject types.

Available options:
user,
group,
service_account
subject_id
string | null
grant_kind
enum<string> | null

Authorization grant kinds.

Available options:
capability,
account_owner,
super_admin
capability_key
string | null
include_revoked
boolean
default:false

Response

grant_kind
string
required
id
string<uuid>
required
subject_id
string
required
subject_type
string
required
capability_key
string | null
created_at
string<date-time> | null
resource_id
string<uuid> | null
resource_type
string | null
revoked_at
string<date-time> | null